<?php
require "autoloader.php";
require __DIR__."/../vendor/autoload.php";
require __DIR__."/../vendor/zeedhi/framework/bootstrap.php";
require 'userDataLoader.php';

// Load specified services and parameters
$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();
$instanceManager->loadFromFile('../config/base.xml');
$instanceManager->loadFromFile('../config/db.xml');
$instanceManager->loadFromFile('../config/environment.xml');
$instanceManager->loadFromFile('../config/parameters.xml');
$instanceManager->loadFromFile("../config/report.xml");
$instanceManager->loadFromFile('../services.xml');
$instanceManager->compile();

use Doctrine\DBAL\Types\Type;
Type::overrideType(Type::DATE, 'Setforms2\Shared\ORM\DateTimeType');
Type::overrideType(Type::DATETIME, 'Setforms2\Shared\ORM\DateTimeType');

$entity_manager = $instanceManager->getService('entityManager');
\Setforms2\Shared\Registry::store("EntityManager", $entity_manager);
\Setforms2\Shared\Registry::store("EntityManagerConnection", $entity_manager->getConnection());